GET /api/eth-supply
Summary: Total ETH Supply
Operation ID: getEthSupply
Auth: api_key
Operation ID: getEthSupply
Auth: api_key
Description
Get total supply of ETH on the network (excluding staked ETH and burned fees).
Parameters (4)
action
(string, query, required)
Constraints: {'enum': ['ethsupply']}
apikey
(string, query, required)
Your Etherscan API key (obtain free key at https://etherscan.io/apis)
chainid
(string, query, required)
Chain ID (1=Ethereum Mainnet, 11155111=Sepolia, 8453=Base, 137=Polygon, 56=BSC, 42161=Arbitrum)
module
(string, query, required)
Constraints: {'enum': ['stats']}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| ETH Supply on Ethereum Mainnet | curl |
https://api.etherscan.io/api?module=stats&action=ethsupply&chainid=1 |
|
| ETH Supply on Sepolia Testnet | curl |
https://api.etherscan.io/api?module=stats&action=ethsupply&chainid=11155111 |
|
| ETH Supply on Base L2 | curl |
https://api.etherscan.io/api?module=stats&action=ethsupply&chainid=8453 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:12:20.371520 | 200 | 556ms | |
| 2026-03-23 09:37:59.006282 | 200 | 561ms | |
| 2026-03-23 09:33:24.433326 | 200 | 565ms |